Skip to main content

💶 Finances

Power Automate connector in preview

Power Automate connector is currently in preview. It has all the functionality. Preview flag will be removed in some time as Mockster finds its users.

Description​

Generate finance related data, like credit card information, account information and so on. Returns an array of properties, by default ten. Some properties might be localized.

Query options​

ParameterDescriptionDefault
CountCount of objects returned10
LocaleLocalization for the response, see Localizationen
SeedSeed value for reproducible results.null

Request​

Power Automate​

In Power Automate you can find this endpoint by searching for Get finance mockdata.

Get finance mockdata action

HTTP​

Or you can use an HTTP request.

HTTP
GET https://api.mockster.dev/api/v1/finances
Accept: application/json

Response​

Example​

JSON
[
{
"accountName": "Savings Account",
"accountNumber": "54296344",
"amount": 540.29,
"bic": "OSCTPNT6A96",
"bitcoinAddress": "36ks9VMpLaFeWbR8hu1Uuz4zgbUid4XWvn",
"creditCardCVV": "400",
"creditCardIssuer": "visa",
"creditCardNumber": "4584186609458",
"currencyCode": "TRY",
"currencyName": "Turkish Lira",
"currencySymbol": "₺",
"ethereumAddress": "0x83a44fb302d6d7a68fcdac2b2efdfc3e0ea53c2a",
"iban": "GL3144820110800764",
"litecoinAddress": "Ljo4LU3FMxfVyVF7sTVvDzfBhp",
"maskedNumber": "(...0859)",
"pin": "1309",
"routingNumber": "164294325",
"transactionDescription": "deposit transaction at Reinger, Hamill and Gutmann using card ending with ***(...3677) for TJS 820.80 in account ***44178655",
"transactionType": "payment"
}
]

Account Name​

JSONPower Automate
accountNameAccount Name

Returns a random account name. For example: Savings Account.

Return datatype: string

Account Number​

JSONPower Automate
accountNumberAccount Number

Returns a random account number in local format. For example: 54296344.

Return datatype: string

Amount​

JSONPower Automate
amountAmount

Returns a random amount for a transaction. Value has two decimal places. For example: 540.29.

Return datatype: number

BIC​

JSONPower Automate
bicBIC

Returns a random BIC (Bank Identifier Code). For example: OSCTPNT6A96.

Return datatype: string

Bitcoin Address​

JSONPower Automate
bitcoinAddressBitcoin Address

Returns a random Bitcoin address. For example: 36ks9VMpLaFeWbR8hu1Uuz4zgbUid4XWvn.

Return datatype: string

Credit Card CVV​

JSONPower Automate
creditCardCVVCredit Card CVV

Returns a random Credit Card CVV. For example: 400.

Return datatype: string

Credit Card Issuer​

JSONPower Automate
creditCardIssuerCredit Card Issuer

Returns a random Credit Card Issuer. For example: visa.

Return datatype: string

Credit Card Number​

JSONPower Automate
creditCardNumberCredit Card Number

Returns a random Credit Card Number from the issuer from the issuer property. For example: 4584186609458.

Return datatype: string

Currency Code​

JSONPower Automate
currencyCodeCurrency Code

Returns a random Currency Code. Currency Code, Currency Name and Currency Symmbol are from them same currency. For example: TRY.

Return datatype: string

Currency Name​

JSONPower Automate
currencyNameCurrency Name

Returns a random Currency Name. Currency Code, Currency Name and Currency Symmbol are from them same currency. For example: Turkish Lira.

Return datatype: string

Currency Symbol​

JSONPower Automate
currencySymbolCurrency Symbol

Returns a random Currency Symbol. Currency Code, Currency Name and Currency Symmbol are from them same currency. For example: ₺.

Return datatype: string

Ethereum Address​

JSONPower Automate
ethereumAddressEthereum Address

Returns a random Ethereum Address. For example: 0x83a44fb302d6d7a68fcdac2b2efdfc3e0ea53c2a.

Return datatype: string

IBAN​

JSONPower Automate
ibanIBAN

Returns a random IBAN (International Bank Account Number). For example: GL3144820110800764.

Return datatype: string

Litecoin Address​

JSONPower Automate
litecoinAddressLitecoin Address

Returns a random Litecoin Address. For example: Ljo4LU3FMxfVyVF7sTVvDzfBhp.

Return datatype: string

Masked Number​

JSONPower Automate
maskedNumberMasked Number

Returns a random Masked Number. For example: (…0859).

Return datatype: string

PIN​

JSONPower Automate
pinPIN

Returns a random PIN (Personal Identification Number). For example: 1309.

Return datatype: string

Routing Number​

JSONPower Automate
routingNumberRouting Number

Returns a random Routing Number. For example: 164294325.

Return datatype: string

Transaction Description​

JSONPower Automate
transactionDescriptionTransaction Description

Returns a random Transaction Description. For example: deposit transaction at Reinger, Hamill and Gutmann using card ending with ***(...3677) for TJS 820.80 in account ***44178655.

Return datatype: string

Transaction Type​

JSONPower Automate
transactionTypeTransaction Type

Returns a random Transaction Type. For example: payment.

Return datatype: string

To create realistic personal finance data you can use the 🧍🏻 Persons endpoint.

For numeric data, see 🔢 Numbers endpoint.